#include <GUIConstants.au3>

#Region ### START Koda GUI section ### Form=c:\program files\vistumbler\settings.kxf
$Settings = GUICreate("Vistumbler Settings", 687, 499, -900, 215)
$Settings_Tab  = GUICtrlCreateTab(0, 0, 681, 468)
GUICtrlSetResizing(-1, $GUI_DOCKWIDTH+$GUI_DOCKHEIGHT)
$Tab_GPS = GUICtrlCreateTabItem("Gps Settings")
$GroupComInt = GUICtrlCreateGroup("Com Interface", 24, 48, 633, 97)
$Rad_UseNetcomm = GUICtrlCreateRadio("Use Netcomm OCX(more stable) - x32", 40, 72, 361, 17)
$Rad_UseCommMG = GUICtrlCreateRadio("Use CommMG(less stable) - x32 - x64", 40, 104, 361, 17)
If $UseNetcomm = 1 Then
	GUICtrlSetState($Rad_UseNetcomm, $GUI_CHECKED)
Else
	GUICtrlSetState($Rad_UseCommMG, $GUI_CHECKED)
EndIf
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupComSet = GUICtrlCreateGroup("Com Settings", 24, 160, 633, 185)
$ComLabel = GUICtrlCreateLabel("Com", 44, 180, 275, 15)
$GUI_Comport = GUICtrlCreateCombo("1", 44, 205, 275, 25)
GUICtrlSetData(-1, "2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20", $ComPort)
$BaudLabel = GUICtrlCreateLabel("Baud", 44, 235, 275, 15)
$GUI_Baud = GUICtrlCreateCombo("4800", 44, 260, 275, 25)
GUICtrlSetData(-1, "9600|14400|19200|38400|57600|115200", $BAUD)
;$FlowLabel = GUICtrlCreateLabel("Flow Control", 364, 180, 275, 15)
;$Combo3 = GUICtrlCreateCombo("Combo1", 364, 205, 275, 25)
;$ParityLabel = GUICtrlCreateLabel("Parity", 364, 235, 275, 15)
;$ParityCombo = GUICtrlCreateCombo("ParityCombo", 364, 260, 275, 25)
;$Label3 = GUICtrlCreateLabel("Stop Bits", 44, 290, 275, 15)
;$Combo2 = GUICtrlCreateCombo("Combo1", 41, 314, 275, 25)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupGpsFormat = GUICtrlCreateGroup("Gps Format", 24, 360, 633, 89)
If $GPSformat = 1 Then $DefForm = "dd.dddd"
If $GPSformat = 2 Then $DefForm = "dd mm ss"
If $GPSformat = 3 Then $DefForm = "ddmm.mmmm"
$GUI_Format = GUICtrlCreateCombo("dd.dddd", 44, 387, 275, 25)
GUICtrlSetData(-1, "ddmm.mmmm|dd mm ss", $DefForm)
$GUI_HideGps = GUICtrlCreateCheckbox("Hide other gps columns", 48, 416, 275, 17)
If $HideOtherGpsColumns = 1 Then GUICtrlSetState($GUI_HideGps, $GUI_CHECKED)
;Language Tab
$Tab_Lan = GUICtrlCreateTabItem("Language")
$GroupLan = GUICtrlCreateGroup("Set Language", 16, 40, 641, 297)
	Dim $Languages1 = '', $Languages2 = ''
	$languagefiles = _FileListToArray($LanguageDir, '*.ini', 1);Find all files in the folder that end in .ini . These are automatically assumed to a language file
	For $b = 1 To $languagefiles[0];Set Languages into proper format for the combo box
		If $b = 1 Then
			$Languages1 = StringTrimRight($languagefiles[$b], 4)
		ElseIf $b > 1 Then
			$Languages2 &= StringTrimRight($languagefiles[$b], 4)
			If $b < $languagefiles[0] Then $Languages2 &= '|'
		EndIf
	Next

$LanguageBox = GUICtrlCreateCombo($Languages1, 32, 64, 601, 25)
GUICtrlSetData($LanguageBox, $Languages2, $DefaultLanguage)
GUICtrlCreateGroup("Language Author", 32, 96, 601, 41)
$LabAuth = GUICtrlCreateLabel(IniRead($languagefile, 'Info', 'Author', ''), 40, 112, 580, 17)
GUICtrlCreateGroup("Language Date", 32, 150, 601, 41)
$LabDate = GUICtrlCreateLabel(IniRead($languagefile, 'Info', 'Date', ''), 40, 166, 580, 17)
GUICtrlCreateGroup("Language Description", 34, 200, 601, 121)
$LabDesc = GUICtrlCreateLabel(IniRead($languagefile, 'Info', 'Description', ''), 42, 216, 580, 97)

$GroupLanImp = GUICtrlCreateGroup("Import Language File", 16, 352, 641, 97)
$ImpLanFile = GUICtrlCreateInput("", 32, 376, 505, 21)
$ImpLanBrowse = GUICtrlCreateButton("Browse", 552, 376, 81, 20, 0)
$ImpLanButton = GUICtrlCreateButton("Import Language File", 264, 408, 161, 25, 0)
;Manufactures tab
$Tab_Manu = GUICtrlCreateTabItem("Manufactures")
GUICtrlCreateLabel("New Mac Address", 34, 39, 195, 15)
$GUI_Manu_NewMac = GUICtrlCreateInput("", 34, 56, 195, 21)
GUICtrlCreateLabel("New Manufacturer", 244, 39, 410, 15)
$GUI_Manu_NewManu = GUICtrlCreateInput("", 244, 56, 410, 21)
$add_manu = GUICtrlCreateButton("Add New Manufacturer", 24, 90, 201, 25, 0)
$remove_manu = GUICtrlCreateButton("Remove Selected Manufacturer", 239, 90, 201, 25, 0)
$edit_manu = GUICtrlCreateButton("Edit Selected Manufacturer", 456, 90, 201, 25, 0)
$GUI_Manu_List = GUICtrlCreateListView("", 24, 125, 634, 326)
	For $m = 1 To $manu_mac[0];Add MACS/MANUFACTURES into the list
		$arraysearch = _GUICtrlListView_InsertItem($GUI_Manu_List, $AddDirection, '')
		_GUICtrlListView_SetItemText($GUI_Manu_List, $arraysearch, '"' & $manu_mac[$m] & '"', 0)
		_GUICtrlListView_SetItemText($GUI_Manu_List, $arraysearch, $manu_manu[$m], 1)
	Next
;Labels Tab
$Tab_Lab = GUICtrlCreateTabItem("Labels")
$Label7 = GUICtrlCreateLabel("New Mac Address", 34, 39, 195, 15)
$Label8 = GUICtrlCreateLabel("New Label", 244, 39, 410, 15)
$GUI_Lab_NewMac = GUICtrlCreateInput("", 34, 56, 195, 21)
$GUI_Lab_NewLabel = GUICtrlCreateInput("", 244, 56, 410, 21)
$Button6 = GUICtrlCreateButton("Add New Label", 24, 90, 201, 25, 0)
$Button7 = GUICtrlCreateButton("Remove Selected Label", 239, 90, 201, 25, 0)
$Button8 = GUICtrlCreateButton("Edit Selected Label", 454, 90, 201, 25, 0)
$GUI_Lab_List = GUICtrlCreateListView("", 24, 125, 634, 326)
	For $m = 1 To $label_mac[0];Add MACS/MANUFACTURES into the list
		$arraysearch = _GUICtrlListView_InsertItem($GUI_Lab_List, $AddDirection, '')
		_GUICtrlListView_SetItemText($GUI_Lab_List, $arraysearch, '"' & $label_mac[$m] & '"', 0)
		_GUICtrlListView_SetItemText($GUI_Lab_List, $arraysearch, $label_label[$m], 1)
	Next
;Columns Tabs
$Tab_Col = GUICtrlCreateTabItem("Columns")
$GroupColumns = GUICtrlCreateGroup("Columns", 16, 40, 657, 417)
$GUI_ColEna_NetType = GUICtrlCreateCheckbox("Network Type", 34, 373, 185, 17)
$GUI_ColWidth_NetType = GUICtrlCreateInput("", 224, 373, 113, 21)

$CWCB_Line = GUICtrlCreateCheckbox($Column_Names_Line, 34, 105, 185, 17)
$CWIB_Line = GUICtrlCreateInput("", 224, 105, 113, 21)
$CWCB_Active = GUICtrlCreateCheckbox("Active", 34, 135, 185, 17)
$CWCB_Active = GUICtrlCreateInput("", 224, 135, 113, 21)
$CWCB_SSID = GUICtrlCreateCheckbox("SSID", 34, 165, 185, 17)
$CWIB_SSID = GUICtrlCreateInput("", 224, 165, 113, 21)
$CWCB_BSSID = GUICtrlCreateCheckbox("BSSID", 34, 195, 185, 17)
$CWIB_BSSID = GUICtrlCreateInput("", 224, 195, 113, 21)
$CWCB_Signal = GUICtrlCreateCheckbox("Signal", 34, 225, 185, 17)
$CWIB_Signal = GUICtrlCreateInput("", 224, 225, 113, 21)
$CWCB_Authentication = GUICtrlCreateCheckbox("Authentication", 34, 255, 185, 17)
$CWIB_Authentication = GUICtrlCreateInput("", 224, 255, 113, 21)
$CWCB_Encryption = GUICtrlCreateCheckbox("Encryption", 34, 285, 185, 17)
$CWIB_Encryption = GUICtrlCreateInput("", 224, 285, 113, 21)
$CWCB_Channel = GUICtrlCreateCheckbox("Channel", 34, 315, 185, 17)
$CWIB_Channel = GUICtrlCreateInput("", 224, 315, 113, 21)
$CWCB_RadioType = GUICtrlCreateCheckbox("Radio Type", 34, 345, 185, 17)
$CWIB_RadioType = GUICtrlCreateInput("", 224, 345, 113, 21)
$CWCB_FirstActive = GUICtrlCreateCheckbox("First Active", 364, 373, 185, 17)
$CWIB_FirstActive = GUICtrlCreateInput("", 549, 373, 113, 21)
$CWCB_LastActive = GUICtrlCreateCheckbox("Last Active", 364, 403, 185, 17)
$CWIB_LastActive = GUICtrlCreateInput("", 549, 403, 113, 21)
$CWCB_Manu = GUICtrlCreateCheckbox("Manufacturer", 34, 403, 185, 17)
$CWIB_Manu = GUICtrlCreateInput("", 224, 403, 112, 21)
$CWCB_Label = GUICtrlCreateCheckbox("Label", 364, 105, 185, 17)
$CWIB_Label = GUICtrlCreateInput("", 549, 105, 113, 21)
$CWCB_Latitude = GUICtrlCreateCheckbox("Lat", 364, 135, 185, 17)
$CWIB_Latitude = GUICtrlCreateInput("", 549, 137, 113, 21)
$CWCB_Longitude = GUICtrlCreateCheckbox("Lon", 364, 165, 185, 17)
$CWIB_Longitude = GUICtrlCreateInput("", 549, 165, 113, 21)
$CWCB_LatitudeDMS = GUICtrlCreateCheckbox("Lat (dd mm ss)", 364, 195, 185, 17)
$CWIB_LatitudeDMS = GUICtrlCreateInput("", 549, 197, 113, 21)
$CWCB_LongitudeDMS = GUICtrlCreateCheckbox("Lon (dd mm ss)", 364, 225, 185, 17)
$CWIB_LongitudeDMS = GUICtrlCreateInput("", 549, 225, 113, 21)
$CWCB_LatitudeDMM = GUICtrlCreateCheckbox("Lat (ddmm.mmmm)", 364, 255, 185, 17)
$CWIB_LatitudeDMM = GUICtrlCreateInput("", 549, 255, 113, 21)
$CWCB_LongitudeDMM = GUICtrlCreateCheckbox("Lon (ddmm.mmmm)", 364, 287, 185, 17)
$CWIB_LongitudeDMM = GUICtrlCreateInput("", 549, 285, 113, 21)
$CWCB_BtX = GUICtrlCreateCheckbox("Btx", 364, 315, 185, 17)
$CWIB_BtX = GUICtrlCreateInput("", 549, 315, 113, 21)
$CWCB_OtX = GUICtrlCreateCheckbox("Otx", 364, 345, 185, 17)
$CWIB_OtX = GUICtrlCreateInput("", 549, 345, 113, 21)
_SetCwState()
GUICtrlCreateLabel($Text_Enable & " / " & $Text_Disable, 32, 70, 175, 17)
GUICtrlCreateLabel($Text_SetColumnWidths, 224, 70, 118, 17)
GUICtrlCreateLabel($Text_Enable & " / " & $Text_Disable, 356, 70, 175, 17)
GUICtrlCreateLabel($Text_SetColumnWidths, 548, 70, 118, 17)
;Searchwords Tab
$Tab_SW = GUICtrlCreateTabItem("Searchwords")
GUICtrlCreateGroup("Netsh Searchwords", 8, 32, 665, 425)
GUICtrlCreateLabel("SSID", 28, 128, 300, 15)
$SearchWord_SSID_GUI = GUICtrlCreateInput("", 28, 148, 300, 21)
GUICtrlCreateLabel("BSSID", 28, 173, 300, 15)
$SearchWord_BSSID_GUI = GUICtrlCreateInput("", 28, 193, 300, 21)
GUICtrlCreateLabel("Channel", 28, 218, 300, 15)
$SearchWord_Channel_GUI = GUICtrlCreateInput("", 28, 238, 300, 21)
GUICtrlCreateLabel("Authentication", 28, 263, 300, 15)
$SearchWord_Authentication_GUI = GUICtrlCreateInput("", 28, 283, 300, 21)
GUICtrlCreateLabel("Encryption", 28, 308, 300, 15)
$SearchWord_Encryption_GUI = GUICtrlCreateInput("", 28, 328, 300, 21)
GUICtrlCreateLabel("Radio Type", 28, 353, 300, 15)
$SearchWord_RadioType_GUI = GUICtrlCreateInput("", 28, 373, 300, 21)
GUICtrlCreateLabel("Network Type", 28, 398, 300, 15)
$SearchWord_NetType_GUI = GUICtrlCreateInput("", 28, 418, 300, 21)
GUICtrlCreateLabel("Signal", 353, 128, 300, 15)
$SearchWord_Signal_GUI = GUICtrlCreateInput("", 353, 148, 300, 21)
GUICtrlCreateLabel("Basic Transfer Rates", 353, 173, 300, 15)
$SearchWord_BasicRates_GUI = GUICtrlCreateInput("", 353, 193, 300, 21)
GUICtrlCreateLabel("Other Transfer Rates", 353, 218, 300, 15)
$SearchWord_OtherRates_GUI = GUICtrlCreateInput("", 353, 238, 300, 21)
GUICtrlCreateLabel("Open", 353, 263, 300, 15)
$SearchWord_Open_GUI = GUICtrlCreateInput("", 353, 283, 300, 21)
GUICtrlCreateLabel("None", 353, 308, 300, 15)
$SearchWord_None_GUI = GUICtrlCreateInput("", 353, 328, 300, 21)
GUICtrlCreateLabel("WEP", 353, 353, 300, 15)
$SearchWord_Wep_GUI = GUICtrlCreateInput("", 353, 373, 300, 21)
;GUICtrlCreateLabel("", 353, 398, 300, 15)
;$SW_Unused = GUICtrlCreateInput("", 353, 418, 300, 21)
$swdesc = GUICtrlCreateGroup("Description", 24, 56, 633, 65)
GUICtrlCreateLabel("This section allows you to change the words Vistumbler uses to search netsh. Change to the proper words for you version of windows. Run 'netsh wlan show networks mode=bssid' to find the proper words.", 32, 72, 618, 41)
;Misc Tab
$Tab_Misc = GUICtrlCreateTabItem("Misc")
$GroupMisc = GUICtrlCreateGroup("Misc", 8, 32, 665, 425)
$GroupMiscPHP = GUICtrlCreateGroup("PHP Graphing", 16, 208, 649, 121)
$Label14 = GUICtrlCreateLabel("Phils Graph URL", 31, 229, 620, 15)
$Input11 = GUICtrlCreateInput("", 31, 249, 620, 21)
$Label15 = GUICtrlCreateLabel("Phils WDB URL", 32, 276, 620, 15)
$Input12 = GUICtrlCreateInput("", 32, 296, 620, 21)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupMiscOpt = GUICtrlCreateGroup("Options", 16, 64, 649, 137)
$Input13 = GUICtrlCreateInput("", 29, 107, 516, 21)
$Label16 = GUICtrlCreateLabel("Save DIR", 29, 87, 620, 15)
$Browse = GUICtrlCreateButton("Browse", 552, 107, 97, 25, 0)
$Label17 = GUICtrlCreateLabel("Background Color", 31, 144, 300, 15)
$Input14 = GUICtrlCreateInput("", 31, 164, 300, 21)
$Label18 = GUICtrlCreateLabel("Control Color", 353, 144, 300, 15)
$Input32 = GUICtrlCreateInput("", 353, 164, 300, 21)
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateTabItem("")
$Button9 = GUICtrlCreateButton("Apply", 610, 470, 73, 25, 0)
$Button10 = GUICtrlCreateButton("Cancel", 535, 470, 75, 25, 0)
$Button11 = GUICtrlCreateButton("OK", 460, 470, 75, 25, 0)
$Button3 = GUICtrlCreateButton("Export Settings", 2, 470, 135, 25, 0)
$Button4 = GUICtrlCreateButton("Import Settings", 137, 470, 135, 25, 0)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

While 1
$nMsg = GUIGetMsg()
Switch $nMsg
Case $GUI_EVENT_CLOSE
Exit

EndSwitch
WEnd
















#include <GUIConstants.au3>

#Region ### START Koda GUI section ### Form=c:\program files\vistumbler\settings.kxf
$Settings = GUICreate("Vistumbler Settings", 687, 499, 313, 153)
$M = GUICtrlCreateTab(0, 0, 681, 468)
GUICtrlSetResizing(-1, $GUI_DOCKWIDTH+$GUI_DOCKHEIGHT)
$Tab_GPS = GUICtrlCreateTabItem("Gps Settings")
$GroupComInt = GUICtrlCreateGroup("Com Interface", 24, 48, 633, 97)
$UseNetcomm = GUICtrlCreateRadio("Use Netcomm OCX(more stable) - x32", 40, 72, 361, 17)
$UseCommmg = GUICtrlCreateRadio("Use CommMG(less stable) - x32 - x64", 40, 104, 361, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupComSet = GUICtrlCreateGroup("Com Settings", 24, 160, 633, 185)
$ComLabel = GUICtrlCreateLabel("Com", 44, 180, 275, 15)
$ComCombo = GUICtrlCreateCombo("ComCombo", 44, 205, 275, 25)
$BaudLabel = GUICtrlCreateLabel("Baud", 44, 235, 275, 15)
$BaudCombo = GUICtrlCreateCombo("Combo1", 44, 260, 275, 25)
$FlowLabel = GUICtrlCreateLabel("Flow Control", 364, 180, 275, 15)
$Combo3 = GUICtrlCreateCombo("Combo1", 364, 205, 275, 25)
$ParityLabel = GUICtrlCreateLabel("Parity", 364, 235, 275, 15)
$ParityCombo = GUICtrlCreateCombo("ParityCombo", 364, 260, 275, 25)
$Label3 = GUICtrlCreateLabel("Stop Bits", 44, 290, 275, 15)
$Combo2 = GUICtrlCreateCombo("Combo1", 41, 314, 275, 25)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupGpsFormat = GUICtrlCreateGroup("Gps Format", 24, 360, 633, 89)
$GpsFormCombo = GUICtrlCreateCombo("GPS FORMAT", 44, 387, 275, 25)
$Checkbox1 = GUICtrlCreateCheckbox("Hide other gps columns", 48, 416, 275, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Tab_Lan = GUICtrlCreateTabItem("Language")
$GroupLan = GUICtrlCreateGroup("Set Language", 16, 40, 641, 297)
$Combo1 = GUICtrlCreateCombo("Combo1", 32, 64, 601, 25)
$Group5 = GUICtrlCreateGroup("Language Author", 32, 96, 601, 41)
$Label1 = GUICtrlCreateLabel("Label1", 40, 112, 580, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Group6 = GUICtrlCreateGroup("Language Date", 32, 150, 601, 41)
$Label2 = GUICtrlCreateLabel("Label1", 40, 166, 580, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Group7 = GUICtrlCreateGroup("Language Description", 34, 200, 601, 121)
$Label4 = GUICtrlCreateLabel("Label1", 42, 216, 580, 97)
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupLanImp = GUICtrlCreateGroup("Import Language File", 16, 352, 641, 97)
$Input1 = GUICtrlCreateInput("Input1", 32, 376, 505, 21)
$Button1 = GUICtrlCreateButton("Browse", 552, 376, 81, 20, 0)
$Button2 = GUICtrlCreateButton("Import Language File", 264, 408, 161, 25, 0)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Tab_Manu = GUICtrlCreateTabItem("Manufactures")
$Label5 = GUICtrlCreateLabel("New Mac Address", 34, 39, 195, 15)
$Label6 = GUICtrlCreateLabel("New Manufacturer", 244, 39, 410, 15)
$GUI_Manu_NewMac = GUICtrlCreateInput("", 34, 56, 195, 21)
$GUI_Manu_NewManu = GUICtrlCreateInput("", 244, 56, 410, 21)
$add_manu = GUICtrlCreateButton("Add New Manufacturer", 24, 90, 201, 25, 0)
$remove_manu = GUICtrlCreateButton("Remove Selected Manufacturer", 239, 90, 201, 25, 0)
$edit_manu = GUICtrlCreateButton("Edit Selected Manufacturer", 456, 90, 201, 25, 0)
$GUI_Manu_List = GUICtrlCreateListView("", 24, 125, 634, 326)
$Tab_Lab = GUICtrlCreateTabItem("Labels")
$Label7 = GUICtrlCreateLabel("New Mac Address", 34, 39, 195, 15)
$Label8 = GUICtrlCreateLabel("New Label", 244, 39, 410, 15)
$GUI_Lab_NewMac = GUICtrlCreateInput("", 34, 56, 195, 21)
$GUI_Lab_NewLabel = GUICtrlCreateInput("", 244, 56, 410, 21)
$Button6 = GUICtrlCreateButton("Add New Label", 24, 90, 201, 25, 0)
$Button7 = GUICtrlCreateButton("Remove Selected Label", 239, 90, 201, 25, 0)
$Button8 = GUICtrlCreateButton("Edit Selected Label", 454, 90, 201, 25, 0)
$GUI_Lab_List = GUICtrlCreateListView("", 24, 125, 634, 326)
$Tab_Col = GUICtrlCreateTabItem("Columns")
$GroupColumns = GUICtrlCreateGroup("Columns", 16, 40, 657, 417)
$GUI_ColEna_NetType = GUICtrlCreateCheckbox("Network Type", 34, 373, 185, 17)
$GUI_ColWidth_NetType = GUICtrlCreateInput("", 224, 373, 113, 21)
$GUI_ColEna_Manu = GUICtrlCreateCheckbox("Manufacturer", 34, 403, 185, 17)
$GUI_ColWidth_Manu = GUICtrlCreateInput("", 224, 403, 112, 21)
$GUI_ColEna_Line = GUICtrlCreateCheckbox("#", 34, 105, 185, 17)
$GUI_ColWidth_Line = GUICtrlCreateInput("", 224, 105, 113, 21)
$GUI_ColEna_Active = GUICtrlCreateCheckbox("Active", 34, 135, 185, 17)
$GUI_ColWidth_Active = GUICtrlCreateInput("", 224, 135, 113, 21)
$GUI_ColEna_SSID = GUICtrlCreateCheckbox("SSID", 34, 165, 185, 17)
$GUI_ColWidth_SSID = GUICtrlCreateInput("", 224, 165, 113, 21)
$GUI_ColEna_BSSID = GUICtrlCreateCheckbox("BSSID", 34, 195, 185, 17)
$GUI_ColWidth_BSSID = GUICtrlCreateInput("", 224, 195, 113, 21)
$GUI_ColWidth_Sig = GUICtrlCreateInput("", 224, 225, 113, 21)
$GUI_ColEna_Sig = GUICtrlCreateCheckbox("Signal", 34, 225, 185, 17)
$GUI_ColEna_Auth = GUICtrlCreateCheckbox("Authentication", 34, 255, 185, 17)
$GUI_ColWidth_Auth = GUICtrlCreateInput("", 224, 255, 113, 21)
$GUI_ColEna_Enc = GUICtrlCreateCheckbox("Encryption", 34, 285, 185, 17)
$GUI_ColWidth_Enc = GUICtrlCreateInput("", 224, 285, 113, 21)
$GUI_ColEna_Chan = GUICtrlCreateCheckbox("Channel", 34, 315, 185, 17)
$GUI_ColWidth_Chan = GUICtrlCreateInput("", 224, 315, 113, 21)
$GUI_ColEna_Rad = GUICtrlCreateCheckbox("Radio Type", 34, 345, 185, 17)
$GUI_ColWidth_Rad = GUICtrlCreateInput("", 224, 345, 113, 21)
$GUI_ColWidth_FirstTime = GUICtrlCreateInput("", 549, 373, 113, 21)
$GUI_ColEna_FirstTime = GUICtrlCreateCheckbox("First Active", 364, 373, 185, 17)
$GUI_ColEna_LastTime = GUICtrlCreateCheckbox("Last Active", 364, 403, 185, 17)
$GUI_ColWidth_LastTime = GUICtrlCreateInput("", 549, 403, 113, 21)
$GUI_ColEna_Label = GUICtrlCreateCheckbox("Label", 364, 105, 185, 17)
$GUI_ColWidth_Label = GUICtrlCreateInput("", 549, 105, 113, 21)
$GUI_ColEna_Lat = GUICtrlCreateCheckbox("Lat", 364, 135, 185, 17)
$GUI_ColWidth_Lon = GUICtrlCreateInput("", 549, 165, 113, 21)
$GUI_ColEna_Lon = GUICtrlCreateCheckbox("Lon", 364, 165, 185, 17)
$GUI_ColEna_LatDMS = GUICtrlCreateCheckbox("Lat (dd mm ss)", 364, 195, 185, 17)
$GUI_ColEna_LonDMS = GUICtrlCreateCheckbox("Lon (dd mm ss)", 364, 225, 185, 17)
$GUI_ColWidth_LonDMS = GUICtrlCreateInput("", 549, 225, 113, 21)
$GUI_ColEna_DMM = GUICtrlCreateCheckbox("Lat (ddmm.mmmm)", 364, 255, 185, 17)
$GUI_ColWidth_LatDMM = GUICtrlCreateInput("", 549, 255, 113, 21)
$GUI_ColWidth_LonDMM = GUICtrlCreateInput("", 549, 285, 113, 21)
$GUI_ColEna_Btx = GUICtrlCreateCheckbox("Btx", 364, 315, 185, 17)
$GUI_ColWidth_Btx = GUICtrlCreateInput("", 549, 315, 113, 21)
$GUI_ColEna_Otx = GUICtrlCreateCheckbox("Otx", 364, 345, 185, 17)
$GUI_ColWidth_Otx = GUICtrlCreateInput("", 549, 345, 113, 21)
$GUI_ColEna_LonDMM = GUICtrlCreateCheckbox("Lon (ddmm.mmmm)", 364, 287, 185, 17)
$GUI_ColWidth_LatDMS = GUICtrlCreateInput("", 549, 197, 113, 21)
$GUI_ColWidth_Lat = GUICtrlCreateInput("", 549, 137, 113, 21)
$Label9 = GUICtrlCreateLabel("Enabled / Disabled", 32, 70, 175, 17)
$Label10 = GUICtrlCreateLabel("Column Width", 224, 70, 118, 17)
$Label12 = GUICtrlCreateLabel("Enabled / Disabled", 356, 70, 175, 17)
$Label13 = GUICtrlCreateLabel("Column Width", 548, 70, 118, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Tab_SW = GUICtrlCreateTabItem("Searchwords")
$GroupSw = GUICtrlCreateGroup("Netsh Searchwords", 8, 32, 665, 425)
$Label_SSID = GUICtrlCreateLabel("SSID", 28, 128, 300, 15)
$Input34 = GUICtrlCreateInput("", 28, 148, 300, 21)
$Label_BSSID = GUICtrlCreateLabel("BSSID", 28, 173, 300, 15)
$Input35 = GUICtrlCreateInput("", 28, 193, 300, 21)
$Label_Chan = GUICtrlCreateLabel("Channel", 28, 218, 300, 15)
$Input36 = GUICtrlCreateInput("", 28, 238, 300, 21)
$Label_Auth = GUICtrlCreateLabel("Authentication", 28, 263, 300, 15)
$Input37 = GUICtrlCreateInput("", 28, 283, 300, 21)
$Label_Enc = GUICtrlCreateLabel("Encryption", 28, 308, 300, 15)
$Input38 = GUICtrlCreateInput("", 28, 328, 300, 21)
$Label_Rad = GUICtrlCreateLabel("Radio Type", 28, 353, 300, 15)
$Input39 = GUICtrlCreateInput("", 28, 373, 300, 21)
$Label_NetType = GUICtrlCreateLabel("Network Type", 28, 398, 300, 15)
$Input40 = GUICtrlCreateInput("", 28, 418, 300, 21)
$Label_Sig = GUICtrlCreateLabel("Signal", 353, 128, 300, 15)
$Input42 = GUICtrlCreateInput("", 353, 148, 300, 21)
$Label_Btx = GUICtrlCreateLabel("Basic Transfer Rates", 353, 173, 300, 15)
$Input43 = GUICtrlCreateInput("", 353, 193, 300, 21)
$Label_Otx = GUICtrlCreateLabel("Other Transfer Rates", 353, 218, 300, 15)
$Input44 = GUICtrlCreateInput("", 353, 238, 300, 21)
$Label_Open = GUICtrlCreateLabel("Open", 353, 263, 300, 15)
$SW_Open = GUICtrlCreateInput("", 353, 283, 300, 21)
$Label_None = GUICtrlCreateLabel("None", 353, 308, 300, 15)
$Input41 = GUICtrlCreateInput("", 353, 328, 300, 21)
$Label_Wep = GUICtrlCreateLabel("WEP", 353, 353, 300, 15)
$Input45 = GUICtrlCreateInput("", 353, 373, 300, 21)
$Label_Unused = GUICtrlCreateLabel("", 353, 398, 300, 15)
$SW_Unused = GUICtrlCreateInput("", 353, 418, 300, 21)
$swdesc = GUICtrlCreateGroup("Description", 24, 56, 633, 65)
$Label11 = GUICtrlCreateLabel("Label11", 32, 72, 618, 41)
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateGroup("", -99, -99, 1, 1)




$Tab_Misc = GUICtrlCreateTabItem("Misc")
GUICtrlSetState(-1,$GUI_SHOW)
$GroupMisc = GUICtrlCreateGroup("Misc", 8, 32, 665, 425)
$GroupMiscPHP = GUICtrlCreateGroup("PHP Graphing", 16, 328, 649, 121)
GUICtrlCreateLabel("Phils Graph URL", 31, 349, 620, 15)
$Input11 = GUICtrlCreateInput("", 31, 369, 620, 21)
GUICtrlCreateLabel("Phils WDB URL", 32, 396, 620, 15)
$Input12 = GUICtrlCreateInput("", 32, 416, 620, 21)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$GroupMiscOpt = GUICtrlCreateGroup("Options", 16, 56, 649, 257)
$Input13 = GUICtrlCreateInput("", 31, 91, 515, 21)
$Label16 = GUICtrlCreateLabel("Vistumbler Save Directory", 31, 76, 620, 15)
$Browse = GUICtrlCreateButton("Browse", 556, 91, 97, 20, 0)
$Label17 = GUICtrlCreateLabel("Background Color", 31, 196, 300, 15)
$Input14 = GUICtrlCreateInput("", 31, 211, 300, 21)
$Label18 = GUICtrlCreateLabel("Control Color", 353, 196, 300, 15)
$Input32 = GUICtrlCreateInput("", 353, 211, 300, 21)
$Input4 = GUICtrlCreateInput("", 31, 131, 515, 21)
$Label22 = GUICtrlCreateLabel("Vistumbler Auto Save Directory", 31, 116, 620, 15)
$Button12 = GUICtrlCreateButton("Browse", 556, 131, 97, 20, 0)
$Input5 = GUICtrlCreateInput("", 31, 171, 515, 21)
$Label23 = GUICtrlCreateLabel("Vistumbler KML Save Directory", 31, 156, 620, 15)
$Button13 = GUICtrlCreateButton("Browse", 556, 171, 97, 20, 0)
$Input3 = GUICtrlCreateInput("", 31, 251, 300, 21)
$Label20 = GUICtrlCreateLabel(" Refresh loop time(ms)", 31, 236, 300, 15)
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateGroup("", -99, -99, 1, 1)

$Tab_Auto = GUICtrlCreateTabItem("Auto")
$Group1 = GUICtrlCreateGroup("Auto Save", 16, 48, 649, 121)
$Checkbox2 = GUICtrlCreateCheckbox("Auto Save", 31, 78, 625, 15)
$Label19 = GUICtrlCreateLabel("Auto Save Every", 31, 118, 84, 15)
$Checkbox3 = GUICtrlCreateCheckbox("Delete Auto Save file on proper exit", 31, 98, 625, 15)
$Input2 = GUICtrlCreateInput("Input2", 31, 133, 115, 21)
$Label21 = GUICtrlCreateLabel("Seconds", 151, 138, 505, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Group2 = GUICtrlCreateGroup("Auto Save", 15, 176, 649, 169)
$Checkbox4 = GUICtrlCreateCheckbox("Auto Sort", 30, 196, 625, 15)
$Label24 = GUICtrlCreateLabel("Sort By", 30, 216, 625, 15)
$Combo4 = GUICtrlCreateCombo("Combo4", 30, 231, 615, 21)
$Combo5 = GUICtrlCreateCombo("Combo4", 30, 271, 615, 21)
$Label26 = GUICtrlCreateLabel("Auto Sort Every", 30, 296, 625, 15)
$Label27 = GUICtrlCreateLabel("Seconds", 150, 320, 505, 17)
$Label25 = GUICtrlCreateLabel("Sort Direction", 30, 256, 625, 15)
$Input6 = GUICtrlCreateInput("Input2", 30, 311, 115, 21)



















GUICtrlCreateGroup("", -99, -99, 1, 1)
GUICtrlCreateTabItem("")
$Button9 = GUICtrlCreateButton("Apply", 610, 470, 73, 25, 0)
$Button10 = GUICtrlCreateButton("Cancel", 535, 470, 75, 25, 0)
$Button11 = GUICtrlCreateButton("OK", 460, 470, 75, 25, 0)
$Button3 = GUICtrlCreateButton("Export Settings", 2, 470, 135, 25, 0)
$Button4 = GUICtrlCreateButton("Import Settings", 137, 470, 135, 25, 0)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

While 1
$nMsg = GUIGetMsg()
Switch $nMsg
Case $GUI_EVENT_CLOSE
Exit

EndSwitch
WEnd






